package com.tofly.dc.exception;

/**
 * 服务调用自定义异常
 *
 * @author Zev
 */
public class FeignException extends Exception{
    /**
     * 异常对应的返回码
     */
    private Integer retCd;
    /**
     * 异常对应的描述信息
     */
    private String msgDes;

    public FeignException() {
        super();
    }

    public FeignException(String message) {
        super(message);
        msgDes = message;
    }

    public FeignException(Integer retCd, String msgDes) {
        super();
        this.retCd = retCd;
        this.msgDes = msgDes;
    }

    public Integer getRetCd() {
        return retCd;
    }

    public String getMsgDes() {
        return msgDes;
    }

}
